Solid Edge FrameworkSupport Type Library
Item Method
Variant (input) index.
Description
The items in a collection.
Syntax
Visual Basic
Public Function Item( _
   ByVal Index As Variant _
) As RectangularPattern2d
Parameters
Index
Variant (input) index.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objProfile As SolidEdgePart.Profile
    Dim objRPatterns As SolidEdgeFrameworkSupport.RectangularPatterns2d
    Dim objRPattern As SolidEdgeFrameworkSupport.RectangularPattern2d
    Dim objRPItem As SolidEdgeFrameworkSupport.RectangularPattern2d
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' *** Create a RectangularPatterns2d collection object
    ' Create a new profile object
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:=objDoc.RefPlanes(1))
    ' Get the RectangularPatterns2d object on the Profile
    Set objRPatterns = objProfile.RectangularPatterns2d
    ' Add an item to the RectangularPatterns2d collection
    Set objRPattern = objRPatterns.Add(OriginX:=0, OriginY:=0, Width:=0.1, Height:=0.05, _
                                       Angle:=0, OffsetType:=sePatternFillOffset, XCount:=6, YCount:=4, _
                                       XSpace:=0.015, YSpace:=0.01)
    ' Get the particular item in the RectangularPatterns2d collection object
    Set objRPItem = objRPatterns.Item(Index:=1)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objProfile = Nothing
    Set objRPatterns = Nothing
    Set objRPattern = Nothing
    Set objRPItem = Nothing
End Sub
See Also

RectangularPatterns2d Collection  | RectangularPatterns2d Members

Send comments on this topic.